commit:     3947aa0e5744df33033599037e31eb87f89c012d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 21 14:33:32 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Dec 21 14:33:32 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3947aa0e

app-emacs/citeproc-el: bump to 0.9.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/citeproc-el/Manifest                 |  1 +
 app-emacs/citeproc-el/citeproc-el-0.9.2.ebuild | 47 ++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/app-emacs/citeproc-el/Manifest b/app-emacs/citeproc-el/Manifest
index 385d6a355b8d..e627231eca69 100644
--- a/app-emacs/citeproc-el/Manifest
+++ b/app-emacs/citeproc-el/Manifest
@@ -1 +1,2 @@
 DIST citeproc-el-0.9.1.tar.gz 108702 BLAKE2B 
409548f50baa37c03906d3435569b8f75d8f0238b2d463e22ab0428a0536c6b12e2bf723a8fc4684fae17b31a9d46121d0ebcfd3cd03ada5b0838c8f0e042106
 SHA512 
6eab58576b4f851f44b45e444ee43a9022651dd322efa77b6162db0906a8cace70458b0a1431ed3d995d480d38944bafc13e76e04e5a310e8c14ffc28888953f
+DIST citeproc-el-0.9.2.tar.gz 109024 BLAKE2B 
0687145f2f5dbef5926add7e97794d2ec4895db01df5710c621221de392eeebaa724bf0c69394e82e223b9cc44bca3078fe510a58365c67d4f84450ad3c5c238
 SHA512 
d3bffcebd9409c879bb3406b7d2cb95f93417872ef9fdb084adff8d06b7f3e7c52e6de2a78a78a7cea4b9410a13bdc70c7f8f3808186299fa01ca8ce992cdf4e

diff --git a/app-emacs/citeproc-el/citeproc-el-0.9.2.ebuild 
b/app-emacs/citeproc-el/citeproc-el-0.9.2.ebuild
new file mode 100644
index 000000000000..b59dcf28c0e8
--- /dev/null
+++ b/app-emacs/citeproc-el/citeproc-el-0.9.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=26
+
+inherit elisp
+
+DESCRIPTION="CSL 1.0.2 Citation Processor for Emacs"
+HOMEPAGE="https://github.com/andras-simonyi/citeproc-el";
+SRC_URI="https://github.com/andras-simonyi/${PN}/archive/${PV}.tar.gz
+       -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=app-editors/emacs-26:*[libxml2]
+       app-emacs/dash
+       app-emacs/f
+       app-emacs/parsebib
+       app-emacs/queue
+       app-emacs/s
+       app-emacs/string-inflection
+"
+BDEPEND="
+       ${RDEPEND}
+       test? (
+               app-emacs/ht
+               app-emacs/yaml
+       )
+"
+
+DOCS=( README.md )
+SITEFILE="50${PN}-gentoo.el"
+
+src_test() {
+       ${EMACS} ${EMACSFLAGS} -L . -L test \
+               -l citeproc-test-human.el \
+               -l test/citeproc-test-int-biblatex.el \
+               -l test/citeproc-test-int-formatters.el \
+               -f ert-run-tests-batch-and-exit || die
+}

Reply via email to